LogoopenSUSE Build Service > Projects
Sign Up | Log In

View File fix-requirements.patch of Package docker-compose (Project home:cobexer:branches:Virtualization:containers)

diff --git a/setup.py b/setup.py
index 192a0f6a..75adb686 100644
--- a/setup.py
+++ b/setup.py
@@ -33,8 +33,8 @@ install_requires = [
     'cached-property >= 1.2.0, < 2',
     'docopt >= 0.6.1, < 0.7',
     'PyYAML >= 3.10, < 4',
-    'requests >= 2.6.1, != 2.11.0, < 2.12',
-    'texttable >= 0.9.0, < 0.10',
+    'requests >= 2.6.1',
+    'texttable >= 0.8.1, < 0.10',
     'websocket-client >= 0.32.0, < 1.0',
     'docker >= 2.5.1, < 3.0',
     'dockerpty >= 0.4.1, < 0.5',
@@ -52,7 +52,7 @@ if sys.version_info[:2] < (3, 4):
     tests_require.append('mock >= 1.0.1')
 
 extras_require = {
-    ':python_version < "3.4"': ['enum34 >= 1.0.4, < 2'],
+    ':python_version < "3.4"': ['enum34 >= 1.0.0, < 2'],
     ':python_version < "3.5"': ['backports.ssl_match_hostname >= 3.5'],
     ':python_version < "3.3"': ['ipaddress >= 1.0.16'],
     ':sys_platform == "win32"': ['colorama >= 0.3.7, < 0.4'],